#' Community abundance data for a desert grassland (anza borrego)
#'
#' A dataset containing the community abundace data for plant species, as well 
#' as the locations of plots with respect to one another
#'
#' @format A data frame with 121 rows and 4 variables:
#' \describe{
#'   \item{row}{plot coordinate}
#'   \item{column}{plot coordinate}
#'   \item{spp}{species ID}
#'   \item{count}{number of individuals}
#' }
# @source \url{}
"anbo"

#==========================================================================
#' Arthropod community abundance data 
#'
#' A dataset containing the community abundace data for individuals, as well 
#' as their body mass.
#'
#' @format A data frame with 547 rows and 3 variables:
#' \describe{
#'   \item{spp}{species ID}
#'   \item{count}{number of individuals}
#'   \item{mass}{biomass}
#' }
#' @source Gruner, D. S. 2007. Geological age, ecosystem development, and local resource constraints on arthropod community structure in the Hawaiian Islands. Biological Journal of the Linnean Society, 90: 551--570.
"arth"